## org.eclipse.datatools.sqltools.result.internal.ui.export
Class ResultExportWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.sqltools.result.internal.ui.export.ResultExportWizard

All Implemented Interfaces:
  org.eclipse.help.IContextProvider, org.eclipse.jface.wizard.IWizard

    public class ResultExportWizard

extends org.eclipse.jface.wizard.Wizard
implements org.eclipse.help.IContextProvider

The wizard to export result set(s) into an external file

Author:
  Dafan Yang

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`ResultExportWizard(IResultInstance result)` Will be used to export all result set objects in a result instance
`ResultExportWizard(IResultSetObject result)` Will be used to export a result set object

Method Summary
`void` `addPages()`
`void` `createPageControls(org.eclipse.swt.widgets.Composite pageContainer)`
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`boolean` `performFinish()`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResultExportWizard

    public ResultExportWizard(IResultSetObject result)

  Will be used to export a result set object

  Parameters:
    `result` - the result set object

### ResultExportWizard

    public ResultExportWizard(IResultInstance result)

  Will be used to export all result set objects in a result instance

  Parameters:
    `result` - the result instance

Method Detail

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`

### addPages

    public void addPages()

  Specified by:
    `addPages` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `addPages` in class `org.eclipse.jface.wizard.Wizard`

### performFinish

    public boolean performFinish()

  Specified by:
    `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
  Specified by:
    `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### createPageControls

    public void createPageControls(org.eclipse.swt.widgets.Composite pageContainer)

  Specified by:
    `createPageControls` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `createPageControls` in class `org.eclipse.jface.wizard.Wizard`